locked
How to create cross platform apps in Xamarin using Visual Studio in Windows platform? RRS feed

  • Question

  • User188555 posted

    I have created a Cross platform project and it generates only apk file which works fine in Android mobile. But,when I try to deploy them in iOS (iPad) ,Its not working(unable to install). Is that apk file will support in iOS?

    Please provide better way to deploy also in iOS. Thanks!

    Monday, January 18, 2016 6:39 AM

Answers

  • User103165 posted

    First; do you have a actual Mac machine at your disposal? Because if not, you will not be able to build a iOS app.

    If you do, you have to set your iOS project as the startup project and make sure in your project properties that you have checked to option to build a IPA. See the attached screenshot.

    The APK of iOS is a IPA file.

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Monday, January 18, 2016 9:37 AM

All replies

  • User103165 posted

    First; do you have a actual Mac machine at your disposal? Because if not, you will not be able to build a iOS app.

    If you do, you have to set your iOS project as the startup project and make sure in your project properties that you have checked to option to build a IPA. See the attached screenshot.

    The APK of iOS is a IPA file.

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Monday, January 18, 2016 9:37 AM
  • User188555 posted

    GeraldVersluis, thank for your response. Iam new to Xamarin...So Is there any way to generate IPA file using Windows without Mac OS ?

    Monday, January 18, 2016 1:16 PM
  • User103165 posted

    @Abudhahir.H said: GeraldVersluis, thank for your response. Iam new to Xamarin...So Is there any way to generate IPA file using Windows without Mac OS ?

    I'm sorry, but there is not. Under the hood XCode is still being used to compile the iOS version.

    Monday, January 18, 2016 1:19 PM
  • User188555 posted

    Did Xamarin supports Mavericks, Snow Leopard versions of Mac OS (or) it requires only the latest version(Yosmite) ?

    Monday, January 18, 2016 2:26 PM
  • User103165 posted

    The latest is actually El Capitan. But as far as I know it supports all of them. You can probably find this on the website somewhere.

    Tuesday, January 19, 2016 8:58 AM